<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { ref } from 'vue';
const receiptStore = useReceiptStore()

</script>
<template>
    <v-container>
        <v-row no-gutters>
            <v-col cols="6">Total :</v-col>
            <v-col>{{ receiptStore.receipt?.totalBefore }}</v-col>
                <v-text-field v-model="receiptStore.receipt.receivedAmount" density="compact" variant="solo"

              label="Enter Cash (THB)" single-line hide-details
              style="padding-right: 5%; " ></v-text-field>

            <v-col cols="6">Member Discount :</v-col>
            <v-col>{{ receiptStore.receipt.memberDiscount }}</v-col>  
          
            <v-col cols="6">Total Net :</v-col>
            <v-col>{{ receiptStore.receipt.total }}</v-col>

            <v-col cols="6">Change :</v-col>
            <v-col cols="6">{{ (receiptStore.receipt.receivedAmount - receiptStore.receipt.total) }}</v-col>

           
        </v-row>
    </v-container>
</template>


<!-- 
    
    <v-col cols="6" class="pa-2 text-center">
    <v-combobox
    label="Payment"
    :items="['QR', 'Cash']"
></v-combobox>
</v-col>
-->